import request from "@/utils/request";

// 查询工作动态列表
export function listDongtai(query) {
  return request({
    url: "/zongzhi/dongtai/list",
    method: "get",
    params: query,
  });
}

// 查询工作动态详细
export function getDongtai(id) {
  return request({
    url: "/zongzhi/dongtai/" + id,
    method: "get",
  });
}

// 新增工作动态
export function addDongtai(data) {
  return request({
    url: "/zongzhi/dongtai",
    method: "post",
    data: data,
  });
}

// 修改工作动态
export function updateDongtai(data) {
  return request({
    url: "/zongzhi/dongtai",
    method: "put",
    data: data,
  });
}

// 删除工作动态
export function delDongtai(id) {
  return request({
    url: "/zongzhi/dongtai/" + id,
    method: "delete",
  });
}

// 导出工作动态
export function exportDongtai(data) {
  return request({
    url: "/zongzhi/dongtai/export",
    method: "post",
    data,
  });
}
